Segment (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.Segment interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface Segment

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Segment

extends LogicalElement

Layer 2 Network e.g a 802.1 Bridged ethernet segment A segment is a connector between L2Interface model objects.

Naming Rules:
  0="name" 1="managedSystemName"
Persistable:
  true
Table Name:
  SEGMENT
Display Name:
  name

Field Summary
`static int` | `L1_ATM`
`static int` | `L1_ETHERNET`
`static int` | `L1_FDDI`
`static int` | `L1_FRAME`
`static int` | `L1_OTHER`
`static int` | `L1_PPP`
`static int` | `L1_SONET`
`static int` | `L1_TOKENRING`
`static int` | `L1_UNKNOWN`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`L2Interface[]` | `getL2Interfaces()`
`int` | `getLayer1Type()`
`int` | `getMTU()`
`java.lang.String` | `getName()`
`boolean` | `hasL2Interfaces()`
`boolean` | `hasLayer1Type()`
`boolean` | `hasMTU()`
`boolean` | `hasName()`
`void` | `setL2Interfaces(L2Interface[] interfaces)`
`void` | `setLayer1Type(int type)`
`void` | `setMTU(int mtu)`
`void` | `setName(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### L1_UNKNOWN

    static final int L1_UNKNOWN

See Also:
  Constant Field Values

### L1_ETHERNET

    static final int L1_ETHERNET

See Also:
  Constant Field Values

### L1_FRAME

    static final int L1_FRAME

See Also:
  Constant Field Values

### L1_ATM

    static final int L1_ATM

See Also:
  Constant Field Values

### L1_PPP

    static final int L1_PPP

See Also:
  Constant Field Values

### L1_TOKENRING

    static final int L1_TOKENRING

See Also:
  Constant Field Values

### L1_FDDI

    static final int L1_FDDI

See Also:
  Constant Field Values

### L1_SONET

    static final int L1_SONET

See Also:
  Constant Field Values

### L1_OTHER

    static final int L1_OTHER

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Returns:
    Name of the segment (unique)
  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getLayer1Type

    int getLayer1Type()
                      throws AttributeNotSetException

  Returns:
    The type of the segment For now, keep layer 1 information as a simple type This may have to change when modeling VPNs etc...
  Throws:
    `AttributeNotSetException`

### setLayer1Type

    void setLayer1Type(int type)

### hasLayer1Type

    boolean hasLayer1Type()

### getMTU

    int getMTU()
               throws AttributeNotSetException

  Returns:
    MTU (frame size) of this segment
  Throws:
    `AttributeNotSetException`

### setMTU

    void setMTU(int mtu)

### hasMTU

    boolean hasMTU()

### getL2Interfaces

    L2Interface[] getL2Interfaces()
                                  throws AttributeNotSetException

  Returns:
    A list of all L2Interfaces connected to this segment
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Networks" reverse="false"

### setL2Interfaces

    void setL2Interfaces(L2Interface[] interfaces)

### hasL2Interfaces

    boolean hasL2Interfaces()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD